from invoke import task

@task
def run(c, port='5000', host='127.0.0.1'):
    """Run a debug server locally"""
    c.run(
        f"poetry run python -m flask run -p {port} -h {host}",
        env={
            "FLASK_APP": "corkboard.py",
            "APP_PATH": f"http://{host}:{port}",
        },
    )

@task
def uwsgi(c, sock="corkboard.sock"):
    """Run a uwsgi server"""
    c.run(
        f"poetry run uwsgi --socket {sock} --module corkboard:app --processes 4 --threads 2"
    )
